Debian Bug report logs - #205048
ITP: neverball -- A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Max Gilead <gilead@yellow.dyndns.org>

Date: Tue, 12 Aug 2003 08:03:02 UTC

Severity: wishlist

Merged with 231195

Fixed in version neverball/1.2.0-1

Done: Tamas SZERB <toma@rulez.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Max Gilead <gilead@yellow.dyndns.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Max Gilead <gilead@yellow.dyndns.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: neverball -- A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out
Date: Tue, 12 Aug 2003 09:59:45 +0200
Package: wnpp
Version: unavailable; reported 2003-08-12
Severity: wishlist


* Package name    : neverball
  Version         : 20030805a
  Upstream Author : Robert Kooima <rlk@snth.net>
* URL             : http://aoeu.snth.net/neverball/
* License         : GPL
  Description     : A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out

Neverball is a colorful 3D arcade game in which you tilt the floor to roll the
ball through the obstacle course before time runs out. It requires patience,
concentration and a bit of luck.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux yellow 2.4.20-3-686 #1 Sat Jun 7 22:34:55 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 205048@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: Max Gilead <gilead@yellow.dyndns.org>, 205048@bugs.debian.org
Subject: Re: Bug#205048: ITP: neverball -- A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out
Date: Tue, 12 Aug 2003 09:54:22 +0100
On Tue, Aug 12, 2003 at 09:59:45AM +0200, Max Gilead wrote:
> Package: wnpp
> Version: unavailable; reported 2003-08-12
> Severity: wishlist
> 
> 
> * Package name    : neverball
>   Version         : 20030805a
>   Upstream Author : Robert Kooima <rlk@snth.net>
> * URL             : http://aoeu.snth.net/neverball/
> * License         : GPL
>   Description     : A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out
> 
> Neverball is a colorful 3D arcade game in which you tilt the floor to roll the
> ball through the obstacle course before time runs out. It requires patience,
> concentration and a bit of luck.

  Please apply the enclosed patch before packaging - this closes a
 buffer overflow attack which is locally exploitable.

  (I'm not sure if you're planning on making the binary setgid games,
 if you are you should certainly apply this!)


Steve
--
www.steve.org.uk



--- config.c	2003-08-12 09:42:54.000000000 +0100
+++ config.c-orig	2003-08-12 09:43:54.000000000 +0100
@@ -66,18 +66,14 @@
 
     if ((dir = getenv("HOME")))
     {
-        strcpy(dst, dir);
-        strcat(dst, "/");
-        strcat(dst, src);
-        return 1;
+	snprintf(dst, sizeof(dst)-1, "%s/%s", dir, src);
+	return( 1 );
     }
 
     if ((vol = getenv("HOMEDRIVE")) && (dir = getenv("HOMEPATH")))
     {
-        strcpy(dst, vol);
-        strcat(dst, dir);
-        strcat(dst, "\\");
-        strcat(dst, src);
+	snprintf(dst, sizeof(dst)-1, "%s%s\\%s",
+		 vol, dir, src );
         return 1;
     }
 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 205048@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve Kemp <skx@debian.org>, 205048@bugs.debian.org
Cc: Max Gilead <gilead@yellow.dyndns.org>
Subject: Re: Bug#205048: ITP: neverball -- A colorful 3D arcade game in which you tilt the floor to roll the ball through the obstacle course before time runs out
Date: Tue, 12 Aug 2003 10:44:05 +0100
On Tue, Aug 12, 2003 at 09:54:22AM +0100, Steve Kemp wrote:
>   Please apply the enclosed patch before packaging - this closes a
>  buffer overflow attack which is locally exploitable.
[...]
> --- config.c	2003-08-12 09:42:54.000000000 +0100
> +++ config.c-orig	2003-08-12 09:43:54.000000000 +0100
> @@ -66,18 +66,14 @@
>  
>      if ((dir = getenv("HOME")))
>      {
> -        strcpy(dst, dir);
> -        strcat(dst, "/");
> -        strcat(dst, src);
> -        return 1;
> +	snprintf(dst, sizeof(dst)-1, "%s/%s", dir, src);
> +	return( 1 );
>      }
>  
>      if ((vol = getenv("HOMEDRIVE")) && (dir = getenv("HOMEPATH")))
>      {
> -        strcpy(dst, vol);
> -        strcat(dst, dir);
> -        strcat(dst, "\\");
> -        strcat(dst, src);
> +	snprintf(dst, sizeof(dst)-1, "%s%s\\%s",
> +		 vol, dir, src );
>          return 1;
>      }
>  

It would be a good idea to check the return value of snprintf() too -
and be careful, doing things with snprintf()'s return value portably is
a pain - since otherwise you may produce wrong results instead of
overrunning a buffer and not notice.

I wish something like man-db's strappend() [1] were more widely used.
I've been fixing a lot of buffer overruns by moving to that (he says,
going off to try to stop the damn thing segfaulting).

[1] Append a varargs list of strings to its first argument, allocating
    or reallocating memory as necessary. If the first argument is NULL,
    concatenate all the strings given into newly allocated memory. The
    above would look like this:

      char *dst;

      if ((dir = getenv("HOME")))
      {
          dst = strappend(NULL, dir, "/", src, NULL);
          return 1;
      }

      if ((vol = getenv("HOMEDRIVE")) && (dir = getenv("HOMEPATH")))
      {
          dst = strappend (NULL, vol, dir, "\\", src, NULL);
          return 1;
      }

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 205048@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Max Gilead <gilead@yellow.dyndns.org>
Cc: 205048@bugs.debian.org
Subject: Neverball package
Date: Thu, 25 Sep 2003 17:53:11 +0200
Hello,

Are you still working on neverball package ?

It seems it is a simple package, which can be done quickly, so I was
wondering why you have not yet released it ;)
If you need help, you can ask me.

Cheers,

-- 
Julien Danjou
.''`.  Debian developer
: :' : http://jdanjou.org
`. `'  http://people.debian.org/~acid
  `-   GPG: 9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 205048@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Max Gilead <max@yellow.dyndns.org>
Cc: 205048@bugs.debian.org
Subject: Debian packages for neverballs
Date: Sun, 8 Feb 2004 20:19:29 +0000
[Message part 1 (text/plain, inline)]
Hello Max,

Google told me that you started to prepare Debian packages
for Neverballs some time ago.  What is the current state of
this?  Can I find your packages somewhere?  Do you need a
sponsor?  Are you still interested in this?

Friendly,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Max Gilead <gilead@yellow.univ.gda.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 205048@bugs.debian.org (full text, mbox):

From: Max Gilead <gilead@yellow.univ.gda.pl>
To: Jochen Voss <voss@seehuhn.de>
Cc: Max Gilead <max@yellow.dyndns.org>, 205048@bugs.debian.org
Subject: Re: Debian packages for neverballs
Date: Mon, 9 Feb 2004 07:24:47 +0100 (CET)
Hi Jochen!

> Google told me that you started to prepare Debian packages
> for Neverballs some time ago.  What is the current state of
> this?
I need to upgrade them to newest upstream version. Apart from that they're
fine and usable.

>  Can I find your packages somewhere?
ftp://yellowhedgehog.com/pub/games_free/neverball/debian/

> Do you need a
> sponsor?  Are you still interested in this?
Yes, I am. The problem is that I was having problems with my key signing
(nobody near here and some other issues). If you're willing to verify
and upload these packages for a while until I resolve key signing problems
I'll update them later today and will do so regularly later on.

Yours,
Max



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #35 received at 205048@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Max Gilead <gilead@yellow.univ.gda.pl>
Cc: 205048@bugs.debian.org
Subject: Re: Debian packages for neverballs
Date: Mon, 9 Feb 2004 10:38:16 +0000
[Message part 1 (text/plain, inline)]
Hello Max,

On Mon, Feb 09, 2004 at 07:24:47AM +0100, Max Gilead wrote:
> >  Can I find your packages somewhere?
> ftp://yellowhedgehog.com/pub/games_free/neverball/debian/
Fine, I will have a look at them later :-)

> > Do you need a
> > sponsor?  Are you still interested in this?
> Yes, I am. The problem is that I was having problems with my key signing
> (nobody near here and some other issues). If you're willing to verify
> and upload these packages for a while until I resolve key signing problems
> I'll update them later today and will do so regularly later on.
If you upgrade your packages to the current version (1.1.0 if I remember
correctly), then I would be happy to upload the packages for you.

Best regards,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Merged 205048 231195. Request was from Jochen Voss <voss@seehuhn.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Max Gilead <gilead@yellowhedgehog.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #42 received at 205048@bugs.debian.org (full text, mbox):

From: Max Gilead <gilead@yellowhedgehog.com>
To: 205048@bugs.debian.org
Subject: config.c possible buffer overflow
Date: Sat, 14 Feb 2004 21:06:56 +0100
After consultation with Jochen Voss who is going to upload this package 
I decided not to apply this patch because Neverball binaries are not 
installed sgid games. I will work with upstream to get this fixed 
nevertheless.
Thanks to Steve Kemp and Colin Watson for pointing this out and for 
suggestions.

Max




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Max Gilead <gilead@yellowhedgehog.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #47 received at 205048@bugs.debian.org (full text, mbox):

From: Max Gilead <gilead@yellowhedgehog.com>
To: 205048@bugs.debian.org
Subject: config.c problem resolved
Date: Sat, 14 Feb 2004 23:03:15 +0100
Well, not being a C programmer myself I overlooked difference between 
strcpy and strncpy kind of functions. It seems that buffer overflow 
problem is already resolved.

Max




Information stored:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #52 received at 205048-quiet@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Max Gilead <gilead@yellowhedgehog.com>
Subject: Re: Fixed license text in Neverball
Date: Wed, 10 Mar 2004 17:43:57 +0000
[Message part 1 (text/plain, inline)]
Hello Max,

On Tue, Mar 02, 2004 at 10:23:28PM +0100, Max Gilead wrote:
> I uploaded Neverball with fixed license text ftpmaster@debian.org 
> complained about. Now it's a symlink instead of regular text file. 
> Please try to upload it again.
Sorry, I was slow.  Now I wanted to have a look at it,
but it seems, that the neverball_1.1.0-1.diff.gz file
at ftp://yellowhedgehog.com/pub/games_free/neverball/debian/
is still the old version (look at the file dates).  Maybe
you forgot to upload the diff?

And could please forward the ftpmasters email to me?

> Lintian complained about this:
> W: neverball source: out-of-date-standards-version 3.5.9
> N:
> N:   The source package refers to a 'Standards-Version' that is starting to
> N:   get out of date, compared to current Policy. You can safely ignore
> N:   this warning, but please consider updating the package to current
> N:   Policy.
> N:
> 
> Since it says it's safe to ignore this warning I did so :-) but I'd like 
> to know how to fix it nevertheless. I guess there's some sneaky Debian 
> tool which does it automagically ;-)
Ignoring is fine.  If you want to fix this, you have to make
sure, that the package is compatible with the newest version of
policy, and then you can set the policy version field in the control
file accordingly.

In order to see whether you are still compliant with newer policy
versions, the file /usr/share/doc/debian-policy/upgrading-checklist.txt.gz 
(package debian-policy) is very useful.

Sorry for the delay,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@maths.warwick.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #57 received at 205048@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@maths.warwick.ac.uk>
To: ftpmaster@debian.org
Cc: Max Gilead <gilead@yellowhedgehog.com>, Robert Kooima <rlk@snth.net>, 205048@bugs.debian.org
Subject: neverball packages
Date: Tue, 23 Mar 2004 17:47:57 +0000
Hello,

some time ago I tried to upload the new neverball package,
which was prepared by Max Gilead.  I heard there were problems
with the package, but I never found out what the specific
problems are.

Could you please inform me what shoudl be changed in the package
in order to include it in the Debian archive?

Thank you very much,
Jochen


PS.: Sorry, I have no access to my GnuPG key at the moment,
so I could not sign this message.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #62 received at 205048@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Tamas SZERB <toma@rulez.org>
Cc: 205048@bugs.debian.org, Max Gilead <gilead@yellowhedgehog.com>, Robert Kooima <rlk@snth.net>
Subject: Re: two ITPs for neverball
Date: Fri, 9 Apr 2004 10:50:12 +0100
[Message part 1 (text/plain, inline)]
Hi Tamas,

On Fri, 9 April 2004, Tamas SZERB wrote:
> hello, the new neverball is out. And I haven't seen the prev. version of
> neverball too from you guys. :) And I really like to play with it,
> meeanwhile I succeeded to ask the upstream to publish the source code into
> tarball, so the packaging is more easier now. I'd like to play w/ it from
> the debian, so please hurry up, or he has no time for it, I'm gladly
> package it.
> 
> Please leave a message. beep. .)

sorry about all the mess.  The current state is:

1) On Feb 14 I uploaded Max's packages to the Debian server.
  I expected them to appear in the archive shortly after, but
  they didn't.  You can a copy of these packages at

    http://seehuhn.de/debian/

2) Ftp master seems to have communicated with Max, but somehow neither
  Max nor ftp master are willing to tell me what is the matter.
  Very strange!  I asked Max several times and after this failed
  I mailed ftpmaster@debian.org on March 23 but I never got an answer.

3) In the meantime Max seems to have vanished or ftpmaster killed him
  or so.  The last message I got from him dated March 18.

I have no idea who to proceed.  If you have a package ready, maybe
you simply upload it and try whether you are luckier with the ftp
masters?  In any case, let me know who things are going.

Best regards,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Max Gilead <gilead@yellowhedgehog.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #67 received at 205048@bugs.debian.org (full text, mbox):

From: Max Gilead <gilead@yellowhedgehog.com>
To: Jochen Voss <voss@seehuhn.de>
Cc: Tamas SZERB <toma@rulez.org>, 205048@bugs.debian.org, Robert Kooima <rlk@snth.net>
Subject: Re: two ITPs for neverball
Date: Fri, 09 Apr 2004 21:23:32 +0200
Hi huys.

It's me who should apologize for the mess. I can explain details 
separately why is that but I believe I should say this: let Tamas take 
it and do the good job, do it quickly etc. I can provide current 
debianization directory should it be needed. Thanks, sorry and good 
luck! If anyone has any questions regarding this of should my other help 
be needed I'll be happy to respond (timely :-/ ).

Yours,
Max




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#205048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tamas SZERB <toma@rulez.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #72 received at 205048@bugs.debian.org (full text, mbox):

From: Tamas SZERB <toma@rulez.org>
To: Jochen Voss <voss@seehuhn.de>
Cc: 205048@bugs.debian.org, Max Gilead <gilead@yellowhedgehog.com>, Robert Kooima <rlk@snth.net>
Subject: Re: two ITPs for neverball
Date: Sun, 11 Apr 2004 15:16:20 +0200 (CEST)
On Fri, 9 Apr 2004, Jochen Voss wrote:

I suggest the following. After the `maintainer' came up, I deleted all the
work. So. I'll do that again. Meanwhile if doesn't appear, means it's not
important to continue his work, so I'll be the maintainer. If He appears
in this time, we'll see. :) Of course this means, if he appears or I
finished it, let know the each other.

Is it right?

> Hi Tamas,
> 
> On Fri, 9 April 2004, Tamas SZERB wrote:
> > hello, the new neverball is out. And I haven't seen the prev. version of
> > neverball too from you guys. :) And I really like to play with it,
> > meeanwhile I succeeded to ask the upstream to publish the source code into
> > tarball, so the packaging is more easier now. I'd like to play w/ it from
> > the debian, so please hurry up, or he has no time for it, I'm gladly
> > package it.
> > 
> > Please leave a message. beep. .)
> 
> sorry about all the mess.  The current state is:
> 
> 1) On Feb 14 I uploaded Max's packages to the Debian server.
>   I expected them to appear in the archive shortly after, but
>   they didn't.  You can a copy of these packages at
> 
>     http://seehuhn.de/debian/
> 
> 2) Ftp master seems to have communicated with Max, but somehow neither
>   Max nor ftp master are willing to tell me what is the matter.
>   Very strange!  I asked Max several times and after this failed
>   I mailed ftpmaster@debian.org on March 23 but I never got an answer.
> 
> 3) In the meantime Max seems to have vanished or ftpmaster killed him
>   or so.  The last message I got from him dated March 18.
> 
> I have no idea who to proceed.  If you have a package ready, maybe
> you simply upload it and try whether you are luckier with the ftp
> masters?  In any case, let me know who things are going.
> 
> Best regards,
> Jochen
> 


-- 
VWOL
Tamas SZERB <toma@rulez.org>
GPG public key: http://people.debian.org/~toma/gpgkey-toma.asc
GPG ID: 69C0FA93




Reply sent to Tamas SZERB <toma@rulez.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Max Gilead <gilead@yellow.dyndns.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #77 received at 205048-close@bugs.debian.org (full text, mbox):

From: Tamas SZERB <toma@rulez.org>
To: 205048-close@bugs.debian.org
Subject: Bug#205048: fixed in neverball 1.2.0-1
Date: Sun, 18 Apr 2004 19:31:23 -0400
Source: neverball
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
neverball, which is due to be installed in the Debian FTP archive:

neverball_1.2.0-1.diff.gz
  to pool/main/n/neverball/neverball_1.2.0-1.diff.gz
neverball_1.2.0-1.dsc
  to pool/main/n/neverball/neverball_1.2.0-1.dsc
neverball_1.2.0-1_i386.deb
  to pool/main/n/neverball/neverball_1.2.0-1_i386.deb
neverball_1.2.0.orig.tar.gz
  to pool/main/n/neverball/neverball_1.2.0.orig.tar.gz
neverdata_1.2.0-1_all.deb
  to pool/main/n/neverball/neverdata_1.2.0-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 205048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tamas SZERB <toma@rulez.org> (supplier of updated neverball package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 11 Apr 2004 19:45:29 +0200
Source: neverball
Binary: neverball neverdata
Architecture: source i386 all
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Tamas SZERB <toma@rulez.org>
Changed-By: Tamas SZERB <toma@rulez.org>
Description: 
 neverball  - 3D arcade games: neverball & neverputt
 neverdata  - Documentation for neverball
Closes: 205048 231195
Changes: 
 neverball (1.2.0-1) unstable; urgency=low
 .
   * Initial Release.
   * With Max Gilead <gilead@yellow.dyndns.org> permission
     this is the take over version of neverball. (closes: #205048)
   * Own ITPed upload (closes: #231195)
Files: 
 fddc7a10a2008c185f66ebe42f37460f 576 games optional neverball_1.2.0-1.dsc
 5b1c8123fedab398c6768f966f894021 7624624 games optional neverball_1.2.0.orig.tar.gz
 10f7cc512f1603131f2789d1fba6f846 2787 games optional neverball_1.2.0-1.diff.gz
 8a533176002529ae1543a19b759355cd 136678 games optional neverball_1.2.0-1_i386.deb
 a3e8429a38f8975a4e412b2915b61c5c 9897310 games optional neverdata_1.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAebdjPtcJVWnA+pMRAtKnAJ9TObWtdAT4MRjbcFxzY+KjQcVC2QCg71XC
7nz05xGjThp+Ow1WPlvpzPY=
=4+LZ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:39:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.